package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.business.originRecord.OriginRecordRequest;
import com.casic.missiles.model.business.BusinessOriginalRecord;
import com.casic.missiles.model.customer.CustomerSampleInfo;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wangpeng
 * @since 2023-02-02
 */
public interface IBusinessOriginalRecordService extends IService<BusinessOriginalRecord> {

    Page<BusinessOriginalRecord> originListPage(Page<BusinessOriginalRecord> page, OriginRecordRequest request) throws Exception;

    Page<CustomerSampleInfo> samplesByOderId(Page<CustomerSampleInfo> sampleInfoPage, OriginRecordRequest request) ;

    BusinessOriginalRecord originalDetail(Long id) throws Exception;

    ReturnDTO deleteOriginal(Long id);

    ReturnDTO updateOriginal(BusinessOriginalRecord businessOriginalRecord);

    ReturnDTO addOriginal(BusinessOriginalRecord businessOriginalRecord);

    void originExport(OriginRecordRequest request, HttpServletResponse response);


}
